Skip to main content
GET
Gets Cashbacks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

Query Parameters

amount
number

Filter by amount

Amount of the transaction

created_at
string

Filter by created_at

Filtering on date of creation between -- after -- before --

descriptor
string

Filter by descriptor

Label of the transaction

page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100
sort
enum<string>

Sort by given attribute

Available options:
amount,
status,
created_at,
offer__reference,
offer__id,
offer__name,
offer__brand__name,
descriptor,
transaction__amount,
transaction__score,
-amount,
-status,
-created_at,
-offer__reference,
-offer__id,
-offer__name,
-offer__brand__name,
-descriptor,
-transaction__amount,
-transaction__score
status
enum<string>

Filter by status

Available options:
CANCELLED,
PENDING_VALIDATION,
VALIDATED,
PAID_IN,
PAID_OUT,
ERROR
transaction__amount
number

Filter by transaction__amount

transaction__score
integer

Filter by transaction__score

offer__brand__name
string

Filter by offer__brand__name

offer__id
string<uuid>

Filter by offer__id

offer__name
string

Filter by offer__name

offer__reference
string

Filter by offer__reference

Response

OK

items
object[]
meta
object